Skip to content

List file carves

GET
/api/v1/carves/{env}
curl --request GET \
--url https://osctrl.net/api/v1/carves/example \
--header 'Authorization: <Authorization>'

Returns paginated file carves for an environment.

env
required
string

Environment name or UUID

page
integer

Page number

page_size
integer

Page size

q
string

Search query

OK

Media typeapplication/json
object
items
Array<object>
object
active
boolean
carve_status
string
completed
boolean
created_at
string
creator
string
deleted
boolean
environment_id
integer
errors
integer
executions
integer
expected
integer
expiration
string
expired
boolean
extra_data
string
hidden
boolean
id
integer
name
string
path
string
protected
boolean
query
string
target
string
type
string
updated_at
string
page
integer
page_size
integer
total_items
integer
total_pages
integer
Examplegenerated
{
"items": [
{
"active": true,
"carve_status": "example",
"completed": true,
"created_at": "example",
"creator": "example",
"deleted": true,
"environment_id": 1,
"errors": 1,
"executions": 1,
"expected": 1,
"expiration": "example",
"expired": true,
"extra_data": "example",
"hidden": true,
"id": 1,
"name": "example",
"path": "example",
"protected": true,
"query": "example",
"target": "example",
"type": "example",
"updated_at": "example"
}
],
"page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
}

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}